Create quote

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

This page is intended only for merchants who want to build their own checkout page UI.

Otherwise, you can preselect a cryptocurrency for the customer simply by providing the quoteCurrency parameter on Payment Intent creation.

👍

The {paymentIntentiId} path parameter is the specific Payment Intent ID for which you want to fetch the quote.

Once a Payment Intent is created, it is possible to make a payment transaction to that PaymentIntent in one of the available cryptocurrencies. While the Read Currencies endpoint allows you to fetch the list of all available cryptocurrencies for a specific PaymentIntent, the Create quote endpoint allows you to retrieve a quote in the selected cryptocurrency for the specific Payment Intent.

The quote object in the response of this endpoint tells you how much of the chosen cryptocurrency needs to be transacted in order to successfully complete the PaymentIntent. Additionally, it also provides you with address where the cryptocurrency funds need to be sent.
You can find this and other response examples on the right side of this page.

refundAddress is optional and if not provided, the end-user will be (automatically) asked to provide the refund address via email in cases of incorrect payments.
If the refundAddress is provided, the end-user will be automatically refunded to the provided address in case the payment is not successful.

refundTag is necessary only for specific cryptocurrencies that use the destination tag technology like for example Stellar (XLM). You can read more about the destination tags here.

Make sure the Payment Intent ID is provided as the path parameter, along with the mandatory currency body parameter.

Path Params
string
required
Body Params
string
required

The cryptocurrency you want to get the quote in.

string
required

UUID string as returned by the Create Customer Wallet endpoint.

string

Address for refunds.

string

Optional

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json